UserRole:
  description: Relationship object that connects user to a role
  properties:
    AccountID:
      description: Account Id
      type: string
      x-nullable: true
    Auth0RoleID:
      description: Linked role ID
      type: string
      x-nullable: true
    Auth0UserID:
      description: Auth0 User ID
      type: string
      x-nullable: true
    CompanyName:
      description: Company Name
      type: string
      x-nullable: true
    ContactID:
      description: Contact ID
      type: string
      x-nullable: true
    RoleDescription:
      description: Role description
      type: string
      x-nullable: true
    RoleID:
      description: The Role ID
      type: string
      x-nullable: true
    RoleName:
      description: Role Name
      type: string
      x-nullable: true
    ExternalAccount:
      description: Account Number
      type: string
      x-nullable: true
    UserEmail:
      description: User Email Address
      type: string
      x-nullable: true
    UserFullName:
      description: User Full Name
      type: string
      x-nullable: true
    UserID:
      description: The User ID
      type: string
      x-nullable: true
    Username:
      description: Username
      type: string
      x-nullable: true
  type: object
